program main
  use module_aire
  implicit none
  
  integer :: nbbloc,i
  real(kind=dp) :: largeur,somme,x

  ! Nombre d'intervalles
  nbbloc = 300*1000*1000
  ! largeur des intervalles
  largeur = 1._dp / real(nbbloc,dp)

  somme = 0._dp
  
  !$omp simd private(x) reduction(+:somme)
  do i=1, nbbloc
    ! Point au milieu de l'intervalle
    x = largeur*(i-0.5_dp)
    ! Calcul de l'aire
    somme = somme + aire(largeur,x)
  end do

  print *, "Pi =", somme

end program main
