program argmin
  implicit none

  integer, parameter    :: N = 8192
  real, dimension(N)    :: a
  integer               :: k,iter,sample
  real                  :: start,finish


  call random_number(a)

  call cpu_time(start)
  do sample =1, 600000
    ! argmin
    k=1
    a(N) = sample
    do iter=2,N
      if (a(iter) < a(k)) then
        k = iter
      end if
    end do
  end do
  call cpu_time(finish)
  print *,finish-start,"s", N*sample/((finish-start)*1000000),"Mit/s", a(k)

end program argmin