module module_aire
  implicit none
  integer, parameter :: dp = kind(1.d0)
  integer, parameter :: li = selected_int_kind(15)
  contains

  function aire(largeur, x)
    real(kind=dp), intent(in) :: largeur, x
    real(kind=dp) :: aire
  
    aire = largeur*(4._dp / (1._dp + x*x))
  end function
end module

